package es.verdnatura.presentation.view.feature.pasillero.fragment

import android.annotation.SuppressLint
import android.content.Context
import es.verdnatura.R
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.view.feature.pasillero.model.PasillerosItemVO

class PasilleroViewModel(context: Context) : BaseViewModel() {
    @SuppressLint("StaticFieldLeak")
    private val contextApp = context
    private val _pasillerositem by lazy { ArrayList<PasillerosItemVO>() }
    val pasillerositem: List<PasillerosItemVO>
        get() = _pasillerositem

    fun inititializeDefaultData() {

        /*  _pasillerositem.add(
                    PasillerosItemVO(20,
                        R.drawable.barcode_scan,
                        "Visor web",R.string.SmarttagAssociate)
     */
        /*  _pasillerositem.add(
                     PasillerosItemVO(20,
                         R.drawable.barcode_scan,
                         "Asociar Sacador SmartTags",R.string.SmarttagAssociate)
               ) */
        /*   _pasillerositem.add(
                       PasillerosItemVO(21,
                           R.drawable.barcode_scan,
                           "Registrar SmartTags",R.string.SmarttagRegister)
                   )
   */

        //sergio para que aparezca el nuevo menu

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_streetview_black_24dp,
                contextApp.getString(R.string.titlePrePicker),
                R.string.titlePrePicker,
                contextApp.getString(
                    R.string.titlePickerDescrip
                )
            )
        )
        //precontrol
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_verified_user_black_24dp_selected,
                contextApp.getString(R.string.titlePreControl),
                R.string.titlePreControl,
                contextApp.getString(
                    R.string.titlePreControlDescrip
                )
            )
        )

        //sergio para que aparezca el nuevo menu
        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.ic_visibility_black_24dp,
                contextApp.getString(R.string.titleShowTicket),
                R.string.titleShowTicket,
                contextApp.getString(
                    R.string.titleShowTicketDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                0,
                R.drawable.ic_loyalty_black_24dp,
                contextApp.getString(R.string.titleItemConsult),
                R.string.titleItemConsult,
                contextApp.getString(
                    R.string.titleItemConsultDescrip
                )
            )
        )



        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_local_parking_orange_24dp,
                contextApp.getString(R.string.Parking),
                R.string.Parking,
                contextApp.getString(R.string.titleParkingDescrip)
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                2,
                R.drawable.ic_visibility_black_24dp,
                contextApp.getString(R.string.titleItemSearch),
                R.string.titleItemSearch,
                contextApp.getString(
                    R.string.titleItemSearchDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_dashboard_black_24dp,
                contextApp.getString(R.string.titleUbicator),
                R.string.titleUbicator,
                contextApp.getString(
                    R.string.titleUbicatorDescrip
                )
            )
        )

        //Tarea #3754 --> Falta arreglar la colección que se le pasa a ReubicationCollectionFragment
            _pasillerositem.add(
              PasillerosItemVO(
                   1,
                   R.drawable.ic_reubication,
                   contextApp.getString(R.string.titleReUbicator),
                   R.string.titleReUbicator,
                   contextApp.getString(
                       R.string.titleReubicatorDescrip
                   )
               )
           )

        _pasillerositem.add(
            PasillerosItemVO(
                3,
                R.drawable.ic_spa_black_24dp,
                contextApp.getString(R.string.titleInventory),
                R.string.titleInventory,
                contextApp.getString(
                    R.string.titleInventoryDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.worker_mistake,
                contextApp.getString(R.string.titleWorkerMistake),
                R.string.titleWorkerMistake,
                contextApp.getString(
                    R.string.titleWorkerMistakeDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.revision_icon,
                contextApp.getString(R.string.titleShelvingHistorical),
                R.string.titleShelvingHistorical,
                contextApp.getString(
                    R.string.titleShelvingHistDescrip
                )
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_history_orange,
                contextApp.getString(R.string.titleLogShelving),
                R.string.titleLogShelving,
                contextApp.getString(
                    R.string.titleLogShelvingDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                22,
                R.drawable.car_info,
                contextApp.getString(R.string.titleHistoricalVehicle),
                R.string.titleHistoricalVehicle,
                contextApp.getString(
                    R.string.titleHistVehicleDescrip
                )
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                41,
                R.drawable.day_of_sale,
                contextApp.getString(R.string.titleDayOfSale),
                R.string.titleDayOfSale,
                contextApp.getString(
                    R.string.titleDayDescrip
                )
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_baseline_all_inbox_24,
                contextApp.getString(R.string.titleReplacement),
                R.string.titleReplacement,
                contextApp.getString(
                    R.string.titleReplacDescrip
                )
            )
        )



        _pasillerositem.add(
            PasillerosItemVO(
                4,
                R.drawable.ic_move_to_inbox_black_24dp,
                contextApp.getString(R.string.titleFaults),
                R.string.titleFaults,
                contextApp.getString(R.string.titleFaultsDescrip)
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                5,
                R.drawable.ic_send_black_24dp,
                contextApp.getString(R.string.titleShelvingParking),
                R.string.titleShelvingParking,
                contextApp.getString(
                    R.string.titleShelParkDescrip
                )
            )
        )

        //Tarea 3335 Borrat proced(Carles)
    /*   _pasillerositem.add(
            PasillerosItemVO(
                8,
                R.drawable.ic_baseline_star_24,
                contextApp.getString(R.string.titleQuality),
                R.string.titleQuality,
                contextApp.getString(
                    R.string.titleQualityDescrip
                )
            )
        )*/

    }

    fun inititializeDefaultPallet() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.pallet_shipping_selected,
                contextApp.getString(R.string.titlePalletizar),
                R.string.titlePalletizar,
                contextApp.getString(
                    R.string.titlePalletDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.ic_pallet_scan_expedition,
                contextApp.getString(R.string.titleScanPalletizar),
                R.string.titleScanPalletizar,
                contextApp.getString(
                    R.string.titleScanPalletDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.lift,
                contextApp.getString(R.string.scanPlatform),
                R.string.scanPlatform,
                contextApp.getString(
                    R.string.titleScanPlatform
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                50,
                R.drawable.ic_visibility_black_24dp,
                contextApp.getString(R.string.titleExpeditionState),
                R.string.titleExpeditionState,
                contextApp.getString(R.string.titleExpeditionDescrip)
            )
        )

        //Tarea #3986
        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.ic_cmr,
                contextApp.getString(R.string.titleCMRState),
                R.string.titleCMRState,
                contextApp.getString(R.string.titleCMRDescrip)
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                40,
                R.drawable.barcode_scan,
                contextApp.getString(R.string.titleExpeditionScan),
                R.string.titleExpeditionScan,
                contextApp.getString(
                    R.string.titleExpScanDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_outline,
                contextApp.getString(R.string.titleBufferManegement),
                R.string.titleBufferManegement,
                contextApp.getString(
                    R.string.titleBufferMangDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                33,
                R.drawable.qrcode_scan,
                contextApp.getString(R.string.titleQrReader),
                R.string.titleQrReader,
                contextApp.getString(R.string.titleQrDescrip)
            )
        )

    }

    fun inititializeDefaultBuffer() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.buffer_empty,
                contextApp.getString(R.string.titleBufferEmpty),
                R.string.titleBufferEmpty,
                contextApp.getString(
                    R.string.titleBufferEmptyDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_fill,
                contextApp.getString(R.string.titleBufferFill),
                R.string.titleBufferFill,
                contextApp.getString(
                    R.string.titleBufferFillDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_accumulation,
                contextApp.getString(R.string.titleBufferAccumulate),
                R.string.titleBufferAccumulate,
                contextApp.getString(
                    R.string.titleBufferAccDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_off,
                contextApp.getString(R.string.titleBufferOff),
                R.string.titleBufferOff,
                contextApp.getString(
                    R.string.titleBufferOffDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_flejado,
                contextApp.getString(R.string.titleBufferStrapping),
                R.string.titleBufferStrapping,
                contextApp.getString(
                    R.string.titleBufferStrapDescrip
                )
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                45,
                R.drawable.buffer_load,
                contextApp.getString(R.string.titleBufferload),
                R.string.titleBufferload,
                contextApp.getString(
                    R.string.titleBufferLoadDescrip
                )
            )
        )
    }

    fun inititializeDefaultDataInit() {
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_corridor_ui,
                contextApp.getString(R.string.titleCorridors),
                R.string.titleCorridors,
                contextApp.getString(R.string.titleCorridorsDescrip)
            )
        )
        //precontrol
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_picker_ui,
                contextApp.getString(R.string.titlePickers),
                R.string.titlePickers,
                contextApp.getString(
                    R.string.titlePickersDescrip
                )
            )
        )

        //sergio para que aparezca el nuevo menu
        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.ic_controller_ui,
                contextApp.getString(R.string.titleControllers),
                R.string.titleControllers,
                contextApp.getString(
                    R.string.titleControlDescrip
                )
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                0,
                R.drawable.ic_pallet_ui,
                contextApp.getString(R.string.titlePalletizers),
                R.string.titlePalletizers,
                contextApp.getString(
                    R.string.titlePalletizDescrip
                )
            )
        )



        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_claim_ui,
                contextApp.getString(R.string.titleClaims),
                R.string.titleClaims,
                contextApp.getString(R.string.titleClaimsDescrip)
            )
        )


        val working_in_test=false

        if (working_in_test){
        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_star_ko,
                contextApp.getString(R.string.testing),
                R.string.testing,
                contextApp.getString(R.string.testing)
            )
        )}
    }


    fun inititializeDefaultClaim() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.ic_claims,
                contextApp.getString(R.string.titleClaimUbication),
                R.string.titleClaimUbication,
                contextApp.getString(
                    R.string.titleClaimDescrip
                )
            )
        )


    }
}
